> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call Count

> Get the count of calls in a campaign, broken down by status.

- **start** / **end**: Optional ISO 8601 date range to filter calls by creation date.
- **search**: Optional search term to narrow the count.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/sms/api.json get /campaigns/v1/campaigns/{campaign_id}/calls/count
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /campaigns/v1/campaigns/{campaign_id}/calls/count:
    get:
      tags:
        - Campaigns Calls
        - Campaign Calls
      summary: Get Call Count
      description: >-
        Get the count of calls in a campaign, broken down by status.


        - **start** / **end**: Optional ISO 8601 date range to filter calls by
        creation date.

        - **search**: Optional search term to narrow the count.
      operationId: >-
        campaigns_service_get_campaigns_calls_count_v1_campaigns__campaign_id__calls_count_get
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            $ref: 41c3fdbf-06a7-4b35-b7c6-cb19760a1d63
            description: Campaign configuration ID
          description: Campaign configuration ID
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search keywords
            title: Search
          description: Search keywords
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Number of items per page
            default: 300
            title: Size
          description: Number of items per page
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by start time (ISO 8601 format)
            title: Start
          description: Filter by start time (ISO 8601 format)
        - name: end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by end time (ISO 8601 format)
            title: End
          description: Filter by end time (ISO 8601 format)
      responses:
        '200':
          description: Call counts broken down by status
          content:
            application/json:
              schema:
                $ref: 518c9be9-a5be-485c-81ef-4d8a907f7b6a
        '400':
          description: Bad request — invalid input or constraint violation
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
        '404':
          description: Requested resource not found
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: 61188eef-82a8-4002-94b5-80ed8ff45c7a
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````